#import <Cocoa/Cocoa.h>
#import "HTTPConnection.h"

@interface HTTPServer : NSObject {	
	NSNetService* service;
	NSSocketPort* socket;
	NSFileHandle* file;
	NSMutableArray* clist;
	BOOL isClosed;

	IBOutlet id delegate;
}

@property (retain) NSString* serviceName;
@property (retain) NSString* serviceType;

@property (assign) NSInteger serverPort;
@property (assign) BOOL isRunning;
@property (assign) NSInteger activePort;

- (IBAction)startServer:(id)sender;
- (IBAction)stopServer:(id)sender;

- (id) init;
- (id) initWithNetServiceType:(NSString*) t name:(NSString*) n port:(NSInteger) port;
- (id) initWithNetServiceType:(NSString*) t name:(NSString*) n;
- (void) listen;
- (void) handleNewConnection:(NSNotification *)notification;
@end



